// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue';
import App from './App';
import router from './router';
import ElementUI from 'element-ui';
// import 'element-ui/lib/theme-chalk/index.css';
// import 'swiper/dist/idangerous.swiper.css';
import '@/assets/css/index.css';
import myaxios from '@/plugins/MyAxios';
import MyBreadcrumb from '@/components/MyBreadcrumb';
// import promise from 'es6-promise';promise.polyfill();
import 'babel-polyfill';

//轮播插件
import scroll from 'vue-seamless-scroll';
Vue.use(scroll);

Vue.use(ElementUI);
Vue.use(myaxios);
Vue.component(MyBreadcrumb.name, MyBreadcrumb);

Vue.config.productionTip = false;

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  components: { App },
  template: '<App/>'
});
